org.eclipse.oomph.setup.mylyn.impl

## Class MylynPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.setup.mylyn.impl.MylynPackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, MylynPackage

      public class MylynPackageImpl
      extends EPackageImpl
      implements MylynPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.setup.mylyn.MylynPackage

      `MylynPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.mylyn.MylynPackage

      `BUILD_PLAN, BUILD_PLAN__ANNOTATIONS, BUILD_PLAN__NAME, BUILD_PLAN_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, MYLYN_BUILDS_TASK, MYLYN_BUILDS_TASK__ANNOTATIONS, MYLYN_BUILDS_TASK__BUILD_PLANS, MYLYN_BUILDS_TASK__CONNECTOR_KIND, MYLYN_BUILDS_TASK__DESCRIPTION, MYLYN_BUILDS_TASK__DISABLED, MYLYN_BUILDS_TASK__EXCLUDED_TRIGGERS, MYLYN_BUILDS_TASK__ID, MYLYN_BUILDS_TASK__PASSWORD, MYLYN_BUILDS_TASK__PREDECESSORS, MYLYN_BUILDS_TASK__RESTRICTIONS, MYLYN_BUILDS_TASK__SCOPE_TYPE, MYLYN_BUILDS_TASK__SERVER_URL, MYLYN_BUILDS_TASK__SUCCESSORS, MYLYN_BUILDS_TASK__USER_ID, MYLYN_BUILDS_TASK_FEATURE_COUNT, MYLYN_QUERIES_TASK, MYLYN_QUERIES_TASK__ANNOTATIONS, MYLYN_QUERIES_TASK__CONNECTOR_KIND, MYLYN_QUERIES_TASK__DESCRIPTION, MYLYN_QUERIES_TASK__DISABLED, MYLYN_QUERIES_TASK__EXCLUDED_TRIGGERS, MYLYN_QUERIES_TASK__ID, MYLYN_QUERIES_TASK__PASSWORD, MYLYN_QUERIES_TASK__PREDECESSORS, MYLYN_QUERIES_TASK__QUERIES, MYLYN_QUERIES_TASK__REPOSITORY_URL, MYLYN_QUERIES_TASK__RESTRICTIONS, MYLYN_QUERIES_TASK__SCOPE_TYPE, MYLYN_QUERIES_TASK__SUCCESSORS, MYLYN_QUERIES_TASK__USER_ID, MYLYN_QUERIES_TASK_FEATURE_COUNT, QUERY, QUERY__ANNOTATIONS, QUERY__ATTRIBUTES, QUERY__SUMMARY, QUERY__TASK, QUERY__URL, QUERY_ATTRIBUTE, QUERY_ATTRIBUTE__KEY, QUERY_ATTRIBUTE__VALUE, QUERY_ATTRIBUTE_FEATURE_COUNT, QUERY_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createEnablementAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/Enablement.
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `protected void` | `createValidTriggersAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/ValidTriggers.
    `EAttribute` | `getBuildPlan_Name()`
    `EClass` | `getBuildPlan()`
    `EReference` | `getMylynBuildsTask_BuildPlans()`
    `EAttribute` | `getMylynBuildsTask_ConnectorKind()`
    `EAttribute` | `getMylynBuildsTask_Password()`
    `EAttribute` | `getMylynBuildsTask_ServerURL()`
    `EAttribute` | `getMylynBuildsTask_UserID()`
    `EClass` | `getMylynBuildsTask()`
    `MylynFactory` | `getMylynFactory()`
    `EAttribute` | `getMylynQueriesTask_ConnectorKind()`
    `EAttribute` | `getMylynQueriesTask_Password()`
    `EReference` | `getMylynQueriesTask_Queries()`
    `EAttribute` | `getMylynQueriesTask_RepositoryURL()`
    `EAttribute` | `getMylynQueriesTask_UserID()`
    `EClass` | `getMylynQueriesTask()`
    `EReference` | `getQuery_Attributes()`
    `EAttribute` | `getQuery_Summary()`
    `EReference` | `getQuery_Task()`
    `EAttribute` | `getQuery_URL()`
    `EClass` | `getQuery()`
    `EAttribute` | `getQueryAttribute_Key()`
    `EAttribute` | `getQueryAttribute_Value()`
    `EClass` | `getQueryAttribute()`
    `static MylynPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static MylynPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `MylynPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `MylynPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getMylynQueriesTask

          public EClass getMylynQueriesTask()

      Specified by:
        `getMylynQueriesTask` in interface `MylynPackage`
      Returns:
        the meta object for class 'Queries Task'.
      See Also:
        `MylynQueriesTask`
      Generated

    - #### getMylynQueriesTask_ConnectorKind

          public EAttribute getMylynQueriesTask_ConnectorKind()

      Specified by:
        `getMylynQueriesTask_ConnectorKind` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Connector Kind'.
      See Also:
        `MylynQueriesTask.getConnectorKind()`, `MylynPackage.getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_RepositoryURL

          public EAttribute getMylynQueriesTask_RepositoryURL()

      Specified by:
        `getMylynQueriesTask_RepositoryURL` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Repository URL'.
      See Also:
        `MylynQueriesTask.getRepositoryURL()`, `MylynPackage.getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_UserID

          public EAttribute getMylynQueriesTask_UserID()

      Specified by:
        `getMylynQueriesTask_UserID` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'User ID'.
      See Also:
        `MylynQueriesTask.getUserID()`, `MylynPackage.getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_Password

          public EAttribute getMylynQueriesTask_Password()

      Specified by:
        `getMylynQueriesTask_Password` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Password'.
      See Also:
        `MylynQueriesTask.getPassword()`, `MylynPackage.getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_Queries

          public EReference getMylynQueriesTask_Queries()

      Specified by:
        `getMylynQueriesTask_Queries` in interface `MylynPackage`
      Returns:
        the meta object for the containment reference list 'Queries'.
      See Also:
        `MylynQueriesTask.getQueries()`, `MylynPackage.getMylynQueriesTask()`
      Generated

    - #### getMylynBuildsTask

          public EClass getMylynBuildsTask()

      Specified by:
        `getMylynBuildsTask` in interface `MylynPackage`
      Returns:
        the meta object for class 'Builds Task'.
      See Also:
        `MylynBuildsTask`
      Generated

    - #### getMylynBuildsTask_ConnectorKind

          public EAttribute getMylynBuildsTask_ConnectorKind()

      Specified by:
        `getMylynBuildsTask_ConnectorKind` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Connector Kind'.
      See Also:
        `MylynBuildsTask.getConnectorKind()`, `MylynPackage.getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_ServerURL

          public EAttribute getMylynBuildsTask_ServerURL()

      Specified by:
        `getMylynBuildsTask_ServerURL` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Server URL'.
      See Also:
        `MylynBuildsTask.getServerURL()`, `MylynPackage.getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_UserID

          public EAttribute getMylynBuildsTask_UserID()

      Specified by:
        `getMylynBuildsTask_UserID` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'User ID'.
      See Also:
        `MylynBuildsTask.getUserID()`, `MylynPackage.getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_Password

          public EAttribute getMylynBuildsTask_Password()

      Specified by:
        `getMylynBuildsTask_Password` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Password'.
      See Also:
        `MylynBuildsTask.getPassword()`, `MylynPackage.getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_BuildPlans

          public EReference getMylynBuildsTask_BuildPlans()

      Specified by:
        `getMylynBuildsTask_BuildPlans` in interface `MylynPackage`
      Returns:
        the meta object for the containment reference list 'Build Plans'.
      See Also:
        `MylynBuildsTask.getBuildPlans()`, `MylynPackage.getMylynBuildsTask()`
      Generated

    - #### getBuildPlan

          public EClass getBuildPlan()

      Specified by:
        `getBuildPlan` in interface `MylynPackage`
      Returns:
        the meta object for class 'Build Plan'.
      See Also:
        `BuildPlan`
      Generated

    - #### getBuildPlan_Name

          public EAttribute getBuildPlan_Name()

      Specified by:
        `getBuildPlan_Name` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `BuildPlan.getName()`, `MylynPackage.getBuildPlan()`
      Generated

    - #### getQuery

          public EClass getQuery()

      Specified by:
        `getQuery` in interface `MylynPackage`
      Returns:
        the meta object for class 'Query'.
      See Also:
        `Query`
      Generated

    - #### getQuery_Task

          public EReference getQuery_Task()

      Specified by:
        `getQuery_Task` in interface `MylynPackage`
      Returns:
        the meta object for the container reference 'Task'.
      See Also:
        `Query.getTask()`, `MylynPackage.getQuery()`
      Generated

    - #### getQuery_Summary

          public EAttribute getQuery_Summary()

      Specified by:
        `getQuery_Summary` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Summary'.
      See Also:
        `Query.getSummary()`, `MylynPackage.getQuery()`
      Generated

    - #### getQuery_URL

          public EAttribute getQuery_URL()

      Specified by:
        `getQuery_URL` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'URL'.
      See Also:
        `Query.getURL()`, `MylynPackage.getQuery()`
      Generated

    - #### getQuery_Attributes

          public EReference getQuery_Attributes()

      Specified by:
        `getQuery_Attributes` in interface `MylynPackage`
      Returns:
        the meta object for the map 'Attributes'.
      See Also:
        `Query.getAttributes()`, `MylynPackage.getQuery()`
      Generated

    - #### getQueryAttribute

          public EClass getQueryAttribute()

      Specified by:
        `getQueryAttribute` in interface `MylynPackage`
      Returns:
        the meta object for class 'Query Attribute'.
      See Also:
        `Map.Entry`
      Generated

    - #### getQueryAttribute_Key

          public EAttribute getQueryAttribute_Key()

      Specified by:
        `getQueryAttribute_Key` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `MylynPackage.getQueryAttribute()`
      Generated

    - #### getQueryAttribute_Value

          public EAttribute getQueryAttribute_Value()

      Specified by:
        `getQueryAttribute_Value` in interface `MylynPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `MylynPackage.getQueryAttribute()`
      Generated

    - #### getMylynFactory

          public MylynFactory getMylynFactory()

      Specified by:
        `getMylynFactory` in interface `MylynPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Generated

    - #### createEnablementAnnotations

          protected void createEnablementAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/Enablement.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createValidTriggersAnnotations

          protected void createValidTriggersAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/ValidTriggers.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html